[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: OSF sia stuff in 0.4b



Mark Davies <mark@mcs.vuw.ac.nz> writes:
> Thanks for that.  Patch certainly looks like it will do the right
> thing but I couldn't test it as `autoconf -f' doesn't work.  Taking
> a guess that what you meant was `autoreconf -f' I tried that and it
> complained:
> 
> FATAL ERROR: Autoconf version 2.14.-1.1 or higher is required for this script

Autoconf 2.50 or higher is required.  The appended patch should
include all the generated files that are required.

/assar

diff -ruw heimdal-0.4b/configure assar/heimdal/configure
--- heimdal-0.4b/configure	Tue Jul  3 15:47:45 2001
+++ assar/heimdal/configure	Mon Jul  9 16:36:53 2001
@@ -1,7 +1,7 @@
 #! /bin/sh
-# From configure.in Revision: 1.284.2.3 .
+# From configure.in Revision: 1.285 .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by Autoconf 2.50 for heimdal 0.4b.
+# Generated by Autoconf 2.50 for heimdal 0.4b++.
 #
 # Report bugs to <heimdal-bugs@pdc.kth.se>.
 #
@@ -331,8 +331,8 @@
 # Identity of this package.
 PACKAGE_NAME='heimdal'
 PACKAGE_TARNAME='heimdal'
-PACKAGE_VERSION='0.4b'
-PACKAGE_STRING='heimdal 0.4b'
+PACKAGE_VERSION='0.4a'
+PACKAGE_STRING='heimdal 0.4a'
 PACKAGE_BUGREPORT='heimdal-bugs@pdc.kth.se'
 
 ac_prev=
@@ -740,7 +740,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<EOF
-\`configure' configures heimdal 0.4b to adapt to many kinds of systems.
+\`configure' configures heimdal 0.4a to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -810,7 +810,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of heimdal 0.4b:";;
+     short | recursive ) echo "Configuration of heimdal 0.4a:";;
    esac
   cat <<\EOF
 
@@ -907,7 +907,7 @@
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\EOF
-heimdal configure 0.4b
+heimdal configure 0.4a
 generated by GNU Autoconf 2.50
 
 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
@@ -922,7 +922,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by heimdal $as_me 0.4b, which was
+It was created by heimdal $as_me 0.4a, which was
 generated by GNU Autoconf 2.50.  Invocation command line was
 
   $ $0 $@
@@ -2381,7 +2381,7 @@
 
 # Define the identity of the package.
 PACKAGE=heimdal
-VERSION=0.4b
+VERSION=0.4a
 
 cat >>confdefs.h <<EOF
 #define PACKAGE "$PACKAGE"
@@ -2552,7 +2552,7 @@
 	;;
 esac
 
-#test -z "$CFLAGS" && CFLAGS="-g"
+test -z "$CFLAGS" && CFLAGS="-g"
 
 for ac_prog in 'bison -y' byacc
 do
@@ -25724,14 +25724,18 @@
     LIB_des="-R $krb4_libdir -L$krb4_libdir"
   fi
   LIB_des="$LIB_des $ac_cv_funclib_MD4_Init"
+  LIB_des_a="$LIB_des"
+  LIB_des_so="$LIB_des"
   LIB_des_appl="$LIB_des"
 else
   DIR_des='des'
   LIB_des='$(top_builddir)/lib/des/libdes.la'
+  LIB_des_a='$(top_builddir)/lib/des/.libs/libdes.a'
+  LIB_des_so='$(top_builddir)/lib/des/.libs/libdes.so'
   LIB_des_appl="-ldes"
 fi
 
-echo "$as_me:25734: checking for el_init" >&5
+echo "$as_me:25738: checking for el_init" >&5
 echo $ECHO_N "checking for el_init... $ECHO_C" >&6
 if test "${ac_cv_funclib_el_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -25747,7 +25751,7 @@
 		fi
 		LIBS=" $ac_lib $LIB_tgetent $ac_save_LIBS"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 25750 "configure"
+#line 25754 "configure"
 #include "confdefs.h"
 
 int
@@ -25759,16 +25763,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:25762: \"$ac_link\"") >&5
+if { (eval echo "$as_me:25766: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:25765: \$? = $ac_status" >&5
+  echo "$as_me:25769: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:25768: \"$ac_try\"") >&5
+  { (eval echo "$as_me:25772: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:25771: \$? = $ac_status" >&5
+  echo "$as_me:25775: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "if test -n \"$ac_lib\";then ac_cv_funclib_el_init=$ac_lib; else ac_cv_funclib_el_init=yes; fi";break
 else
@@ -25790,13 +25794,13 @@
 for ac_func in el_init
 do
 ac_ac_var=`echo "ac_cv_func_$ac_func" | $ac_tr_sh`
-echo "$as_me:25793: checking for $ac_func" >&5
+echo "$as_me:25797: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 25799 "configure"
+#line 25803 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -25827,16 +25831,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:25830: \"$ac_link\"") >&5
+if { (eval echo "$as_me:25834: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:25833: \$? = $ac_status" >&5
+  echo "$as_me:25837: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:25836: \"$ac_try\"") >&5
+  { (eval echo "$as_me:25840: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:25839: \$? = $ac_status" >&5
+  echo "$as_me:25843: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$ac_ac_var=yes"
 else
@@ -25846,7 +25850,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:25849: result: `eval echo '${'$ac_ac_var'}'`" >&5
+echo "$as_me:25853: result: `eval echo '${'$ac_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_var'}'`" >&6
 if test `eval echo '${'$ac_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -25870,13 +25874,13 @@
 #define $ac_tr_func 1
 EOF
 
-	echo "$as_me:25873: result: yes" >&5
+	echo "$as_me:25877: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 	;;
 	no)
 	eval "ac_cv_func_el_init=no"
 	eval "LIB_el_init="
-	echo "$as_me:25879: result: no" >&5
+	echo "$as_me:25883: result: no" >&5
 echo "${ECHO_T}no" >&6
 	;;
 	*)
@@ -25890,20 +25894,20 @@
 #define $ac_tr_lib 1
 EOF
 
-	echo "$as_me:25893: result: yes, in $ac_res" >&5
+	echo "$as_me:25897: result: yes, in $ac_res" >&5
 echo "${ECHO_T}yes, in $ac_res" >&6
 	;;
 esac
 
 if test "$ac_cv_func_el_init" = yes ; then
-	echo "$as_me:25899: checking for four argument el_init" >&5
+	echo "$as_me:25903: checking for four argument el_init" >&5
 echo $ECHO_N "checking for four argument el_init... $ECHO_C" >&6
 if test "${ac_cv_func_el_init_four+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 25906 "configure"
+#line 25910 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 			#include <histedit.h>
@@ -25916,16 +25920,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:25919: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:25923: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:25922: \$? = $ac_status" >&5
+  echo "$as_me:25926: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:25925: \"$ac_try\"") >&5
+  { (eval echo "$as_me:25929: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:25928: \$? = $ac_status" >&5
+  echo "$as_me:25932: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_el_init_four=yes
 else
@@ -25935,7 +25939,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:25938: result: $ac_cv_func_el_init_four" >&5
+echo "$as_me:25942: result: $ac_cv_func_el_init_four" >&5
 echo "${ECHO_T}$ac_cv_func_el_init_four" >&6
 	if test "$ac_cv_func_el_init_four" = yes; then
 
@@ -26006,13 +26010,13 @@
 #
 # And also something wierd has happend with dec-osf1, fallback to bsd-ptys
 
-echo "$as_me:26009: checking for getmsg" >&5
+echo "$as_me:26013: checking for getmsg" >&5
 echo $ECHO_N "checking for getmsg... $ECHO_C" >&6
 if test "${ac_cv_func_getmsg+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 26015 "configure"
+#line 26019 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char getmsg (); below.  */
@@ -26043,16 +26047,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:26046: \"$ac_link\"") >&5
+if { (eval echo "$as_me:26050: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:26049: \$? = $ac_status" >&5
+  echo "$as_me:26053: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:26052: \"$ac_try\"") >&5
+  { (eval echo "$as_me:26056: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:26055: \$? = $ac_status" >&5
+  echo "$as_me:26059: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_getmsg=yes
 else
@@ -26062,12 +26066,12 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:26065: result: $ac_cv_func_getmsg" >&5
+echo "$as_me:26069: result: $ac_cv_func_getmsg" >&5
 echo "${ECHO_T}$ac_cv_func_getmsg" >&6
 
 if test "$ac_cv_func_getmsg" = "yes"; then
 
-echo "$as_me:26070: checking for working getmsg" >&5
+echo "$as_me:26074: checking for working getmsg" >&5
 echo $ECHO_N "checking for working getmsg... $ECHO_C" >&6
 if test "${ac_cv_func_getmsg_work+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -26076,7 +26080,7 @@
   ac_cv_func_getmsg_work=no
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 26079 "configure"
+#line 26083 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -26093,15 +26097,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:26096: \"$ac_link\"") >&5
+if { (eval echo "$as_me:26100: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:26099: \$? = $ac_status" >&5
+  echo "$as_me:26103: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:26101: \"$ac_try\"") >&5
+  { (eval echo "$as_me:26105: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:26104: \$? = $ac_status" >&5
+  echo "$as_me:26108: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_getmsg_work=yes
 else
@@ -26113,7 +26117,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_ext
 fi
 fi
-echo "$as_me:26116: result: $ac_cv_func_getmsg_work" >&5
+echo "$as_me:26120: result: $ac_cv_func_getmsg_work" >&5
 echo "${ECHO_T}$ac_cv_func_getmsg_work" >&6
 test "$ac_cv_func_getmsg_work" = "yes" &&
 
@@ -26124,7 +26128,7 @@
 fi
 
 if test "$ac_cv_func_getmsg_work" = yes; then
-echo "$as_me:26127: checking for streamspty" >&5
+echo "$as_me:26131: checking for streamspty" >&5
 echo $ECHO_N "checking for streamspty... $ECHO_C" >&6
 case "$host" in
 *-*-aix3*|*-*-sunos4*|*-*-osf*|*-*-hpux1[01]*)
@@ -26134,7 +26138,7 @@
 	krb_cv_sys_streamspty=yes
 	;;
 esac
-echo "$as_me:26137: result: $krb_cv_sys_streamspty" >&5
+echo "$as_me:26141: result: $krb_cv_sys_streamspty" >&5
 echo "${ECHO_T}$krb_cv_sys_streamspty" >&6
 fi
 if test "$krb_cv_sys_streamspty" = yes; then
@@ -26145,7 +26149,7 @@
 
 fi
 
-echo "$as_me:26148: checking which authentication modules should be built" >&5
+echo "$as_me:26152: checking which authentication modules should be built" >&5
 echo $ECHO_N "checking which authentication modules should be built... $ECHO_C" >&6
 
 LIB_AUTH_SUBDIRS=
@@ -26162,7 +26166,7 @@
 *-*-irix[56]*) LIB_AUTH_SUBDIRS="$LIB_AUTH_SUBDIRS afskauthlib" ;;
 esac
 
-echo "$as_me:26165: result: $LIB_AUTH_SUBDIRS" >&5
+echo "$as_me:26169: result: $LIB_AUTH_SUBDIRS" >&5
 echo "${ECHO_T}$LIB_AUTH_SUBDIRS" >&6
 
 test "x$prefix" = xNONE && prefix=$ac_default_prefix
@@ -26270,7 +26274,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:26273: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:26277: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -26401,7 +26405,7 @@
 
 cat >>$CONFIG_STATUS <<EOF
 ac_cs_version="\\
-heimdal config.status 0.4b
+heimdal config.status 0.4a
 configured by $0, generated by GNU Autoconf 2.50,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -26446,7 +26450,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:26449: error: ambiguous option: $1
+    { { echo "$as_me:26453: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -26522,12 +26526,12 @@
   'include/config.h' ) CONFIG_HEADERS="$CONFIG_HEADERS include/config.h" ;;
 
   # This is an error.
-  -*) { { echo "$as_me:26525: error: unrecognized option: $1
+  -*) { { echo "$as_me:26529: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
    { (exit 1); exit 1; }; } ;;
-  *) { { echo "$as_me:26530: error: invalid argument: $1" >&5
+  *) { { echo "$as_me:26534: error: invalid argument: $1" >&5
 echo "$as_me: error: invalid argument: $1" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -26541,7 +26545,7 @@
 ## Running config.status.  ##
 ## ----------------------- ##
 
-This file was extended by $as_me (heimdal 0.4b) 2.50, executed with
+This file was extended by $as_me (heimdal 0.4a) 2.50, executed with
   > $ac_cs_invocation
 on `(hostname || uname -n) 2>/dev/null | sed 1q`
 
@@ -26792,6 +26796,8 @@
 s,@LIB_RC4@,$LIB_RC4,;t t
 s,@DIR_des@,$DIR_des,;t t
 s,@LIB_des@,$LIB_des,;t t
+s,@LIB_des_a@,$LIB_des_a,;t t
+s,@LIB_des_so@,$LIB_des_so,;t t
 s,@LIB_des_appl@,$LIB_des_appl,;t t
 s,@LIB_el_init@,$LIB_el_init,;t t
 s,@el_compat_TRUE@,$el_compat_TRUE,;t t
@@ -26912,7 +26918,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:26915: creating $ac_file" >&5
+    { echo "$as_me:26921: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -26930,7 +26936,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:26933: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:26939: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -26943,7 +26949,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:26946: error: cannot find input file: $f" >&5
+           { { echo "$as_me:26952: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -27004,7 +27010,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:27007: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:27013: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -27015,7 +27021,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:27018: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:27024: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -27028,7 +27034,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:27031: error: cannot find input file: $f" >&5
+           { { echo "$as_me:27037: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -27145,7 +27151,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:27148: $ac_file is unchanged" >&5
+      { echo "$as_me:27154: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
diff -ruw heimdal-0.4b/configure.in assar/heimdal/configure.in
--- heimdal-0.4b/configure.in	Tue Jul  3 15:45:53 2001
+++ assar/heimdal/configure.in	Fri Jul  6 23:40:25 2001
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
-AC_REVISION($Revision: 1.284.2.3 $)
+AC_REVISION($Revision: 1.285 $)
 AC_PREREQ(2.14.-1.1)dnl 2.14a
-AC_INIT(heimdal, 0.4b, heimdal-bugs@pdc.kth.se)
+AC_INIT(heimdal, 0.4b++, heimdal-bugs@pdc.kth.se)
 AM_CONFIG_HEADER(include/config.h)
 
 dnl Checks for programs.
@@ -9,7 +9,7 @@
 AC_PROG_CPP
 AC_PROG_CC_STDC
 
-AM_INIT_AUTOMAKE(heimdal,0.4b)
+AM_INIT_AUTOMAKE(heimdal,0.4a)
 
 AC_PREFIX_DEFAULT(/usr/heimdal)
 
@@ -47,7 +47,7 @@
 	;;
 esac
 
-#test -z "$CFLAGS" && CFLAGS="-g"
+test -z "$CFLAGS" && CFLAGS="-g"
 
 AC_OBJEXT
 AC_EXEEXT
@@ -553,14 +553,20 @@
     LIB_des="-R $krb4_libdir -L$krb4_libdir"
   fi
   LIB_des="$LIB_des $ac_cv_funclib_MD4_Init"
+  LIB_des_a="$LIB_des"
+  LIB_des_so="$LIB_des"
   LIB_des_appl="$LIB_des"
 else
   DIR_des='des'
   LIB_des='$(top_builddir)/lib/des/libdes.la'
+  LIB_des_a='$(top_builddir)/lib/des/.libs/libdes.a'
+  LIB_des_so='$(top_builddir)/lib/des/.libs/libdes.so'
   LIB_des_appl="-ldes"
 fi
 AC_SUBST(DIR_des)
 AC_SUBST(LIB_des)
+AC_SUBST(LIB_des_a)
+AC_SUBST(LIB_des_so)
 AC_SUBST(LIB_des_appl)
 
 KRB_READLINE
diff -ruw heimdal-0.4b/lib/auth/sia/Makefile.am assar/heimdal/lib/auth/sia/Makefile.am
--- heimdal-0.4b/lib/auth/sia/Makefile.am	Tue Mar  6 17:57:09 2001
+++ assar/heimdal/lib/auth/sia/Makefile.am	Fri Jul  6 23:40:46 2001
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.9 2001/03/06 16:57:09 assar Exp $
+# $Id: Makefile.am,v 1.10 2001/07/06 21:40:46 assar Exp $
 
 include $(top_srcdir)/Makefile.am.common
 
@@ -23,7 +23,7 @@
 	$(top_builddir)/lib/krb5/.libs/libkrb5.a	\
 	$(top_builddir)/lib/asn1/.libs/libasn1.a	\
 	$(LIB_krb4)					\
-	$(top_builddir)/lib/des/.libs/libdes.a		\
+	$(LIB_des_a)		\
 	$(top_builddir)/lib/com_err/.libs/libcom_err.a	\
 	$(top_builddir)/lib/roken/.libs/libroken.a	\
 	$(LIB_getpwnam_r)				\
@@ -34,7 +34,7 @@
 	$(top_builddir)/lib/krb5/.libs/libkrb5.so	\
 	$(top_builddir)/lib/asn1/.libs/libasn1.so	\
 	$(LIB_krb4)					\
-	$(top_builddir)/lib/des/.libs/libdes.so		\
+	$(LIB_des_so)		\
 	$(top_builddir)/lib/com_err/.libs/libcom_err.so	\
 	$(top_builddir)/lib/roken/.libs/libroken.so	\
 	$(LIB_getpwnam_r)				\
@@ -48,7 +48,7 @@
 	$(KAFS)						\
 	$(top_builddir)/lib/kadm/.libs/libkadm.a	\
 	$(top_builddir)/lib/krb/.libs/libkrb.a		\
-	$(top_builddir)/lib/des/.libs/libdes.a		\
+	$(LIB_des_a)		\
 	$(top_builddir)/lib/com_err/.libs/libcom_err.a	\
 	$(top_builddir)/lib/roken/.libs/libroken.a	\
 	$(LIB_getpwnam_r)				\
@@ -58,7 +58,7 @@
 	$(KAFS_S)					\
 	$(top_builddir)/lib/kadm/.libs/libkadm.so	\
 	$(top_builddir)/lib/krb/.libs/libkrb.so		\
-	$(top_builddir)/lib/des/.libs/libdes.so		\
+	$(LIB_des_so)		\
 	$(top_builddir)/lib/com_err/.libs/libcom_err.so	\
 	$(top_builddir)/lib/roken/.libs/libroken.so	\
 	$(LIB_getpwnam_r)				\
@@ -74,7 +74,7 @@
 foodir = $(libdir)
 foo_DATA = $(MOD)
 
-LDFLAGS = -rpath $(libdir) -hidden -exported_symbol siad_\* 
+LDFLAGS = @LDFLAGS@ -rpath $(libdir) -hidden -exported_symbol siad_\* 
 
 OBJS = sia.o posix_getpw.o
 
diff -ruw heimdal-0.4b/lib/auth/sia/Makefile.in assar/heimdal/lib/auth/sia/Makefile.in
--- heimdal-0.4b/lib/auth/sia/Makefile.in	Tue Jul  3 15:46:03 2001
+++ assar/heimdal/lib/auth/sia/Makefile.in	Mon Jul  9 16:35:10 2001
@@ -89,7 +89,9 @@
 LIB_ = @LIB_@
 LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
 LIB_des = @LIB_des@
+LIB_des_a = @LIB_des_a@
 LIB_des_appl = @LIB_des_appl@
+LIB_des_so = @LIB_des_so@
 LIB_kdb = @LIB_kdb@
 LIB_otp = @LIB_otp@
 LIB_roken = @LIB_roken@
@@ -114,7 +116,7 @@
 dpagaix_LDADD = @dpagaix_LDADD@
 install_sh = @install_sh@
 
-# $Id: Makefile.am,v 1.9 2001/03/06 16:57:09 assar Exp $
+# $Id: Makefile.am,v 1.10 2001/07/06 21:40:46 assar Exp $
 
 
 # $Id: Makefile.am.common,v 1.3 1999/04/01 14:58:43 joda Exp $
@@ -202,7 +204,7 @@
 @KRB5_TRUE@	$(top_builddir)/lib/krb5/.libs/libkrb5.a	\
 @KRB5_TRUE@	$(top_builddir)/lib/asn1/.libs/libasn1.a	\
 @KRB5_TRUE@	$(LIB_krb4)					\
-@KRB5_TRUE@	$(top_builddir)/lib/des/.libs/libdes.a		\
+@KRB5_TRUE@	$(LIB_des_a)		\
 @KRB5_TRUE@	$(top_builddir)/lib/com_err/.libs/libcom_err.a	\
 @KRB5_TRUE@	$(top_builddir)/lib/roken/.libs/libroken.a	\
 @KRB5_TRUE@	$(LIB_getpwnam_r)				\
@@ -211,7 +213,7 @@
 @KRB5_FALSE@	$(KAFS)						\
 @KRB5_FALSE@	$(top_builddir)/lib/kadm/.libs/libkadm.a	\
 @KRB5_FALSE@	$(top_builddir)/lib/krb/.libs/libkrb.a		\
-@KRB5_FALSE@	$(top_builddir)/lib/des/.libs/libdes.a		\
+@KRB5_FALSE@	$(LIB_des_a)		\
 @KRB5_FALSE@	$(top_builddir)/lib/com_err/.libs/libcom_err.a	\
 @KRB5_FALSE@	$(top_builddir)/lib/roken/.libs/libroken.a	\
 @KRB5_FALSE@	$(LIB_getpwnam_r)				\
@@ -222,7 +224,7 @@
 @KRB5_TRUE@	$(top_builddir)/lib/krb5/.libs/libkrb5.so	\
 @KRB5_TRUE@	$(top_builddir)/lib/asn1/.libs/libasn1.so	\
 @KRB5_TRUE@	$(LIB_krb4)					\
-@KRB5_TRUE@	$(top_builddir)/lib/des/.libs/libdes.so		\
+@KRB5_TRUE@	$(LIB_des_so)		\
 @KRB5_TRUE@	$(top_builddir)/lib/com_err/.libs/libcom_err.so	\
 @KRB5_TRUE@	$(top_builddir)/lib/roken/.libs/libroken.so	\
 @KRB5_TRUE@	$(LIB_getpwnam_r)				\
@@ -231,7 +233,7 @@
 @KRB5_FALSE@	$(KAFS_S)					\
 @KRB5_FALSE@	$(top_builddir)/lib/kadm/.libs/libkadm.so	\
 @KRB5_FALSE@	$(top_builddir)/lib/krb/.libs/libkrb.so		\
-@KRB5_FALSE@	$(top_builddir)/lib/des/.libs/libdes.so		\
+@KRB5_FALSE@	$(LIB_des_so)		\
 @KRB5_FALSE@	$(top_builddir)/lib/com_err/.libs/libcom_err.so	\
 @KRB5_FALSE@	$(top_builddir)/lib/roken/.libs/libroken.so	\
 @KRB5_FALSE@	$(LIB_getpwnam_r)				\
@@ -247,7 +249,7 @@
 foodir = $(libdir)
 foo_DATA = $(MOD)
 
-LDFLAGS = -rpath $(libdir) -hidden -exported_symbol siad_\* 
+LDFLAGS = @LDFLAGS@ -rpath $(libdir) -hidden -exported_symbol siad_\* 
 
 OBJS = sia.o posix_getpw.o